class LoginCliente {
  LoginCliente({
    required this.result,
    required this.response,
    required this.message,
  });

  Result result;
  bool response;
  String message;

  factory LoginCliente.fromJson(Map<String, dynamic> json) => LoginCliente(
    result: Result.fromJson(json["result"]),
    response: json["response"],
    message: json["message"],
  );

  Map<String, dynamic> toJson() => {
    "result": result.toJson(),
    "response": response,
    "message": message,
  };
}

class Result {
  Result({
    required this.accessToken,
    required this.dinum,
    required this.user,
    required this.tipo
  });

  String accessToken;
  String dinum;
  String user;
  String tipo;

  factory Result.fromJson(Map<String, dynamic> json) => Result(
      accessToken: json["access_token"],
      dinum: json["dinum"],
      user: json["user"],
      tipo: json["tipo"] ?? ''
  );

  Map<String, dynamic> toJson() => {
    "access_token": accessToken,
    "dinum": dinum,
    "user": user,
    "tipo": tipo
  };
}